Install Maya2019 on Ubuntu 18.04

Question

Following link1 and link2, after /usr/autodesk/maya2019/bin/maya.bin I got

qt.qpa.plugin: Could not load the Qt platform plugin “xcb” in “” even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: console, linuxfb, minimal, offscreen, xcb.

I found a similar problem in link, I am still not familiar with XCB. Could you please help me? Thank you very very very much~

solved 0
LogWell 1 month 14 Answers 434 views

Answers ( 14 )

  1. Hi LogWell,

    I will try my best to help you solve this problem.

     

    First, add the QT_DEBUG_PLUGINS=1 environment variable as follows:

    $ export QT_DEBUG_PLUGINS=1

     

    Then, try to run Maya from the command line. What error messages do you get?

     

    Thanks.

    Shahriar Shovon

  2. logwell@18:~$ export QT_DEBUG_PLUGINS=1
    logwell@18:~$ /usr/autodesk/maya2019/bin/maya.bin
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/platforms” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqconsole.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqconsole.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “console”
    ]
    },
    “className”: “QConsoleIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“console”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqlinuxfb.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqlinuxfb.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “linuxfb”
    ]
    },
    “className”: “QLinuxFbIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“linuxfb”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqminimal.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqminimal.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “minimal”
    ]
    },
    “className”: “QMinimalIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“minimal”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqoffscreen.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqoffscreen.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “offscreen”
    ]
    },
    “className”: “QOffscreenIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“offscreen”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqxcb.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqxcb.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “xcb”
    ]
    },
    “className”: “QXcbIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“xcb”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/platforms” …
    Cannot load library /usr/autodesk/maya2019/plugins/platforms/libqxcb.so: (/usr/autodesk/maya2019/plugins/platforms/libqxcb.so: symbol _ZN26QPlatformIntegrationPlugin6createERK7QStringRK11QStringList version Qt_5 not defined in file libQt5Gui.so.5 with link time reference)
    QLibraryPrivate::loadPlugin failed on “/usr/autodesk/maya2019/plugins/platforms/libqxcb.so” : “Cannot load library /usr/autodesk/maya2019/plugins/platforms/libqxcb.so: (/usr/autodesk/maya2019/plugins/platforms/libqxcb.so: symbol _ZN26QPlatformIntegrationPlugin6createERK7QStringRK11QStringList version Qt_5 not defined in file libQt5Gui.so.5 with link time reference)”
    qt.qpa.plugin: Could not load the Qt platform plugin “xcb” in “” even though it was found.
    This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

    Available platform plugins are: console, linuxfb, minimal, offscreen, xcb.

    Aborted (core dumped)

  3. The problem seems to be libqxcb.so file in the Maya directory /usr/autodesk/maya2019/plugins/platforms/.

     

    Can you try installing the following package?

    $ sudo apt install libqt5gui5 -y

    It should provide you a new libqxcb.so file.

     

  4. logwell@18:~$ sudo apt install libqt5gui5 -y
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    libqt5gui5 is already the newest version (5.9.5+dfsg-0ubuntu2.1).
    0 upgraded, 0 newly installed, 0 to remove and 204 not upgraded.
    logwell@18:~$ /usr/autodesk/maya2019/bin/maya.bin
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/platforms” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqconsole.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqconsole.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “console”
    ]
    },
    “className”: “QConsoleIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“console”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqlinuxfb.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqlinuxfb.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “linuxfb”
    ]
    },
    “className”: “QLinuxFbIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“linuxfb”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqminimal.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqminimal.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “minimal”
    ]
    },
    “className”: “QMinimalIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“minimal”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqoffscreen.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqoffscreen.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “offscreen”
    ]
    },
    “className”: “QOffscreenIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“offscreen”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqxcb.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqxcb.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “xcb”
    ]
    },
    “className”: “QXcbIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“xcb”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/platforms” …
    Cannot load library /usr/autodesk/maya2019/plugins/platforms/libqxcb.so: (/usr/autodesk/maya2019/plugins/platforms/libqxcb.so: symbol _ZN26QPlatformIntegrationPlugin6createERK7QStringRK11QStringList version Qt_5 not defined in file libQt5Gui.so.5 with link time reference)
    QLibraryPrivate::loadPlugin failed on “/usr/autodesk/maya2019/plugins/platforms/libqxcb.so” : “Cannot load library /usr/autodesk/maya2019/plugins/platforms/libqxcb.so: (/usr/autodesk/maya2019/plugins/platforms/libqxcb.so: symbol _ZN26QPlatformIntegrationPlugin6createERK7QStringRK11QStringList version Qt_5 not defined in file libQt5Gui.so.5 with link time reference)”
    qt.qpa.plugin: Could not load the Qt platform plugin “xcb” in “” even though it was found.
    This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

    Available platform plugins are: console, linuxfb, minimal, offscreen, xcb.

    Aborted (core dumped)
    logwell@18:~$

  5. I see this package is already installed.

    Then try to reinstall these packages.

    $ sudo apt install –reinstall qt5-default libqt5gui5

     

    And let me know what happens.

  6. Once you reinstall these, add QT_QPA_PLATFORM_PLUGIN_PATH environment variable as follows:

    $ export QT_QPA_PLATFORM_PLUGIN_PATH=/usr/lib/x86_64-linux-gnu/qt5/plugins

     

    Then, try to run Maya.

  7. logwell@18:~$ sudo apt install –reinstall qt5-default libqt5gui5
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    0 upgraded, 0 newly installed, 2 reinstalled, 0 to remove and 204 not upgraded.
    Need to get 0 B/2,585 kB of archives.
    After this operation, 0 B of additional disk space will be used.
    (Reading database … 505240 files and directories currently installed.)
    Preparing to unpack …/libqt5gui5_5.9.5+dfsg-0ubuntu2.1_amd64.deb …
    Unpacking libqt5gui5:amd64 (5.9.5+dfsg-0ubuntu2.1) over (5.9.5+dfsg-0ubuntu2.1) …
    Preparing to unpack …/qt5-default_5.9.5+dfsg-0ubuntu2.1_amd64.deb …
    Unpacking qt5-default:amd64 (5.9.5+dfsg-0ubuntu2.1) over (5.9.5+dfsg-0ubuntu2.1) …
    Processing triggers for libc-bin (2.27-3ubuntu1) …
    /sbin/ldconfig.real: file /usr/local/lib/libfoxi.so is truncated

    /sbin/ldconfig.real: file /usr/local/lib/libonnxifi_dummy.so is truncated

    /sbin/ldconfig.real: file /usr/local/lib/libcaffe2_detectron_ops.so is truncated

    /sbin/ldconfig.real: file /usr/local/lib/libonnxifi.so is truncated

    /sbin/ldconfig.real: file /usr/local/lib/libgomp-8bba0e50.so.1 is truncated

    /sbin/ldconfig.real: file /usr/local/lib/libc10.so is truncated

    /sbin/ldconfig.real: file /usr/local/lib/libfoxi_dummy.so is truncated

    Setting up libqt5gui5:amd64 (5.9.5+dfsg-0ubuntu2.1) …
    Setting up qt5-default:amd64 (5.9.5+dfsg-0ubuntu2.1) …
    Processing triggers for libc-bin (2.27-3ubuntu1) …
    /sbin/ldconfig.real: file /usr/local/lib/libfoxi.so is truncated

    /sbin/ldconfig.real: file /usr/local/lib/libonnxifi_dummy.so is truncated

    /sbin/ldconfig.real: file /usr/local/lib/libcaffe2_detectron_ops.so is truncated

    /sbin/ldconfig.real: file /usr/local/lib/libonnxifi.so is truncated

    /sbin/ldconfig.real: file /usr/local/lib/libgomp-8bba0e50.so.1 is truncated

    /sbin/ldconfig.real: file /usr/local/lib/libc10.so is truncated

    /sbin/ldconfig.real: file /usr/local/lib/libfoxi_dummy.so is truncated

    logwell@18:~$ export QT_QPA_PLATFORM_PLUGIN_PATH=/usr/lib/x86_64-linux-gnu/qt5/plugins
    logwell@18:~$ /usr/autodesk/maya2019/bin/maya.bin
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/lib/x86_64-linux-gnu/qt5/plugins” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_fcitx.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_fcitx.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “KcmFcitxFactory”,
    “debug”: false,
    “version”: 329986
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_kio.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_kio.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “KioConfigFactory”,
    “debug”: false,
    “version”: 329988
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_ssl.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_ssl.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “KcmSslFactory”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_trash.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_trash.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “KCMTrashConfigFactory”,
    “debug”: false,
    “version”: 329988
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_webshortcuts.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_webshortcuts.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “KURIFilterModuleFactory”,
    “debug”: false,
    “version”: 329988
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/notepadpart.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/notepadpart.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “NotepadFactory”,
    “debug”: false,
    “version”: 329988
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/spellcheckplugin.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/spellcheckplugin.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “PluginSpellCheckFactory”,
    “debug”: false,
    “version”: 329988
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins” …
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/adlmreg”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/adlmreg'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/alsoftrc.sample”
    QElfParser: ‘/usr/autodesk/maya2019/bin/alsoftrc.sample’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/alsoftrc.sample’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/assistant”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/assistant'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/BatchRenderWrapper”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/BatchRenderWrapper'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/blur2d”
    QElfParser: ‘/usr/autodesk/maya2019/bin/blur2d’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/blur2d’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/blur2d.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/blur2d.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/cgc”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/cgc'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/cgfxcat”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/cgfxcat'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/cginfo”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/cginfo'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/dispatch_maya_render”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/dispatch_maya_render'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/eLutExe”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/eLutExe'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/fcheck”
    QElfParser: ‘/usr/autodesk/maya2019/bin/fcheck’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/fcheck’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/fcheck.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/fcheck.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/filePaste”
    QElfParser: ‘/usr/autodesk/maya2019/bin/filePaste’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/filePaste’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/filePaste.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/filePaste.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/fileStats”
    QElfParser: ‘/usr/autodesk/maya2019/bin/fileStats’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/fileStats’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/fileStats.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/fileStats.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/FilterEdgeDetect10.fx”
    QElfParser: ‘/usr/autodesk/maya2019/bin/FilterEdgeDetect10.fx’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/FilterEdgeDetect10.fx’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/FilterFishEye10.fx”
    QElfParser: ‘/usr/autodesk/maya2019/bin/FilterFishEye10.fx’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/FilterFishEye10.fx’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/FilterSwirl10.fx”
    QElfParser: ‘/usr/autodesk/maya2019/bin/FilterSwirl10.fx’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/FilterSwirl10.fx’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/FurRenderer”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/FurRenderer'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/helpTable”
    QElfParser: ‘/usr/autodesk/maya2019/bin/helpTable’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/helpTable’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/imconvert”
    QElfParser: ‘/usr/autodesk/maya2019/bin/imconvert’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/imconvert’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/imgcvt”
    QElfParser: ‘/usr/autodesk/maya2019/bin/imgcvt’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/imgcvt’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/imgcvt.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/imgcvt.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/imgdiff”
    QElfParser: ‘/usr/autodesk/maya2019/bin/imgdiff’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/imgdiff’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/imgdiff.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/imgdiff.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/interlace”
    QElfParser: ‘/usr/autodesk/maya2019/bin/interlace’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/interlace’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/interlace.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/interlace.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/launchNetscapeHelp”
    QElfParser: ‘/usr/autodesk/maya2019/bin/launchNetscapeHelp’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/launchNetscapeHelp’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/lconvert”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/lconvert'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/License.env”
    QElfParser: ‘/usr/autodesk/maya2019/bin/License.env’ is not an ELF object (file too small)
    “‘/usr/autodesk/maya2019/bin/License.env’ is not an ELF object (file too small)”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/licensechooser”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/licensechooser'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/lqtplay”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/lqtplay'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/lrelease”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/lrelease'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/lupdate”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/lupdate'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/maya”
    QElfParser: ‘/usr/autodesk/maya2019/bin/maya2019’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/maya2019’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/maya.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/maya.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/maya2019”
    QElfParser: ‘/usr/autodesk/maya2019/bin/maya2019’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/maya2019’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/mayaClockServer”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/mayaClockServer'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/mayald”
    QElfParser: ‘/usr/autodesk/maya2019/bin/mayald’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/mayald’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/mayapy”
    QElfParser: ‘/usr/autodesk/maya2019/bin/mayapy’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/mayapy’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/mayaServerTest”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/mayaServerTest'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/moc”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/moc'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/precompTemplate.py”
    QElfParser: ‘/usr/autodesk/maya2019/bin/precompTemplate.py’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/precompTemplate.py’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/pydoc”
    QElfParser: ‘/usr/autodesk/maya2019/bin/pydoc’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/pydoc’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/pyside2-lupdate”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/pyside2-lupdate'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/pyside2-rcc”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/pyside2-rcc'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/pyside2-uic”
    QElfParser: ‘/usr/autodesk/maya2019/bin/pyside2-uic’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/pyside2-uic’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/python-bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/python-bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/python-config”
    QElfParser: ‘/usr/autodesk/maya2019/bin/python-config’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/python-config’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/qmake”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/qmake'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/qt.conf”
    QElfParser: ‘/usr/autodesk/maya2019/bin/qt.conf’ is not an ELF object (file too small)
    “‘/usr/autodesk/maya2019/bin/qt.conf’ is not an ELF object (file too small)”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/qtpaths”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/qtpaths'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/rcc”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/rcc'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/Render”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/Render'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/senddmp”
    QElfParser: ‘/usr/autodesk/maya2019/bin/senddmp’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/senddmp’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/stdlib.aws”
    QElfParser: ‘/usr/autodesk/maya2019/bin/stdlib.aws’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/stdlib.aws’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/testMayaAudio”
    QElfParser: ‘/usr/autodesk/maya2019/bin/testMayaAudio’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/testMayaAudio’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/testMayaAudio.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/testMayaAudio.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/toFloatExe”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/toFloatExe'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/toxpm”
    QElfParser: ‘/usr/autodesk/maya2019/bin/toxpm’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/toxpm’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/uic”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/uic'”
    not a plugin
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqeglfs.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqeglfs.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “eglfs”
    ]
    },
    “className”: “QEglFSIntegrationPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“eglfs”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqlinuxfb.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqlinuxfb.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “linuxfb”
    ]
    },
    “className”: “QLinuxFbIntegrationPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“linuxfb”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqminimal.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqminimal.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “minimal”
    ]
    },
    “className”: “QMinimalIntegrationPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“minimal”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqminimalegl.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqminimalegl.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “minimalegl”
    ]
    },
    “className”: “QMinimalEglIntegrationPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“minimalegl”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqoffscreen.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqoffscreen.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “offscreen”
    ]
    },
    “className”: “QOffscreenIntegrationPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“offscreen”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqvnc.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqvnc.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “vnc”
    ]
    },
    “className”: “QVncIntegrationPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“vnc”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqwayland-egl.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqwayland-egl.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “wayland-egl”
    ]
    },
    “className”: “QWaylandEglPlatformIntegrationPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“wayland-egl”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqwayland-generic.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqwayland-generic.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “wayland”
    ]
    },
    “className”: “QWaylandIntegrationPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“wayland”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqwayland-xcomposite-egl.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqwayland-xcomposite-egl.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “wayland-xcomposite-egl”
    ]
    },
    “className”: “QWaylandXCompositeEglPlatformIntegrationPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“wayland-xcomposite-egl”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqwayland-xcomposite-glx.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqwayland-xcomposite-glx.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “wayland-xcomposite-glx”
    ]
    },
    “className”: “QWaylandXCompositeGlxPlatformIntegrationPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“wayland-xcomposite-glx”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “xcb”
    ]
    },
    “className”: “QXcbIntegrationPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“xcb”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/platforms” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqconsole.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqconsole.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “console”
    ]
    },
    “className”: “QConsoleIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“console”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqlinuxfb.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqlinuxfb.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “linuxfb”
    ]
    },
    “className”: “QLinuxFbIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“linuxfb”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqminimal.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqminimal.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “minimal”
    ]
    },
    “className”: “QMinimalIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“minimal”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqoffscreen.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqoffscreen.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “offscreen”
    ]
    },
    “className”: “QOffscreenIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“offscreen”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqxcb.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqxcb.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “xcb”
    ]
    },
    “className”: “QXcbIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“xcb”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/platforms” …
    loaded library “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so”
    loaded library “Xcursor”
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/lib/x86_64-linux-gnu/qt5/plugins” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_fcitx.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_fcitx.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “KcmFcitxFactory”,
    “debug”: false,
    “version”: 329986
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_kio.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_kio.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “KioConfigFactory”,
    “debug”: false,
    “version”: 329988
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_ssl.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_ssl.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “KcmSslFactory”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_trash.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_trash.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “KCMTrashConfigFactory”,
    “debug”: false,
    “version”: 329988
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_webshortcuts.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_webshortcuts.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “KURIFilterModuleFactory”,
    “debug”: false,
    “version”: 329988
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/notepadpart.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/notepadpart.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “NotepadFactory”,
    “debug”: false,
    “version”: 329988
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/spellcheckplugin.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/spellcheckplugin.so, metadata=
    {
    “IID”: “org.kde.KPluginFactory”,
    “MetaData”: {
    },
    “className”: “PluginSpellCheckFactory”,
    “debug”: false,
    “version”: 329988
    }

    Got keys from plugin meta data ()
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins” …
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/adlmreg”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/adlmreg'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/alsoftrc.sample”
    QElfParser: ‘/usr/autodesk/maya2019/bin/alsoftrc.sample’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/alsoftrc.sample’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/assistant”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/assistant'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/BatchRenderWrapper”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/BatchRenderWrapper'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/blur2d”
    QElfParser: ‘/usr/autodesk/maya2019/bin/blur2d’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/blur2d’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/blur2d.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/blur2d.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/cgc”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/cgc'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/cgfxcat”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/cgfxcat'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/cginfo”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/cginfo'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/dispatch_maya_render”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/dispatch_maya_render'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/eLutExe”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/eLutExe'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/fcheck”
    QElfParser: ‘/usr/autodesk/maya2019/bin/fcheck’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/fcheck’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/fcheck.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/fcheck.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/filePaste”
    QElfParser: ‘/usr/autodesk/maya2019/bin/filePaste’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/filePaste’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/filePaste.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/filePaste.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/fileStats”
    QElfParser: ‘/usr/autodesk/maya2019/bin/fileStats’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/fileStats’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/fileStats.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/fileStats.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/FilterEdgeDetect10.fx”
    QElfParser: ‘/usr/autodesk/maya2019/bin/FilterEdgeDetect10.fx’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/FilterEdgeDetect10.fx’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/FilterFishEye10.fx”
    QElfParser: ‘/usr/autodesk/maya2019/bin/FilterFishEye10.fx’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/FilterFishEye10.fx’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/FilterSwirl10.fx”
    QElfParser: ‘/usr/autodesk/maya2019/bin/FilterSwirl10.fx’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/FilterSwirl10.fx’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/FurRenderer”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/FurRenderer'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/helpTable”
    QElfParser: ‘/usr/autodesk/maya2019/bin/helpTable’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/helpTable’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/imconvert”
    QElfParser: ‘/usr/autodesk/maya2019/bin/imconvert’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/imconvert’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/imgcvt”
    QElfParser: ‘/usr/autodesk/maya2019/bin/imgcvt’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/imgcvt’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/imgcvt.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/imgcvt.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/imgdiff”
    QElfParser: ‘/usr/autodesk/maya2019/bin/imgdiff’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/imgdiff’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/imgdiff.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/imgdiff.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/interlace”
    QElfParser: ‘/usr/autodesk/maya2019/bin/interlace’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/interlace’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/interlace.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/interlace.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/launchNetscapeHelp”
    QElfParser: ‘/usr/autodesk/maya2019/bin/launchNetscapeHelp’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/launchNetscapeHelp’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/lconvert”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/lconvert'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/License.env”
    QElfParser: ‘/usr/autodesk/maya2019/bin/License.env’ is not an ELF object (file too small)
    “‘/usr/autodesk/maya2019/bin/License.env’ is not an ELF object (file too small)”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/licensechooser”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/licensechooser'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/lqtplay”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/lqtplay'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/lrelease”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/lrelease'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/lupdate”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/lupdate'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/maya”
    QElfParser: ‘/usr/autodesk/maya2019/bin/maya2019’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/maya2019’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/maya.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/maya.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/maya2019”
    QElfParser: ‘/usr/autodesk/maya2019/bin/maya2019’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/maya2019’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/mayaClockServer”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/mayaClockServer'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/mayald”
    QElfParser: ‘/usr/autodesk/maya2019/bin/mayald’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/mayald’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/mayapy”
    QElfParser: ‘/usr/autodesk/maya2019/bin/mayapy’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/mayapy’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/mayaServerTest”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/mayaServerTest'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/moc”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/moc'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/precompTemplate.py”
    QElfParser: ‘/usr/autodesk/maya2019/bin/precompTemplate.py’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/precompTemplate.py’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/pydoc”
    QElfParser: ‘/usr/autodesk/maya2019/bin/pydoc’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/pydoc’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/pyside2-lupdate”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/pyside2-lupdate'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/pyside2-rcc”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/pyside2-rcc'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/pyside2-uic”
    QElfParser: ‘/usr/autodesk/maya2019/bin/pyside2-uic’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/pyside2-uic’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/python-bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/python-bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/python-config”
    QElfParser: ‘/usr/autodesk/maya2019/bin/python-config’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/python-config’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/qmake”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/qmake'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/qt.conf”
    QElfParser: ‘/usr/autodesk/maya2019/bin/qt.conf’ is not an ELF object (file too small)
    “‘/usr/autodesk/maya2019/bin/qt.conf’ is not an ELF object (file too small)”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/qtpaths”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/qtpaths'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/rcc”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/rcc'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/Render”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/Render'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/senddmp”
    QElfParser: ‘/usr/autodesk/maya2019/bin/senddmp’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/senddmp’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/stdlib.aws”
    QElfParser: ‘/usr/autodesk/maya2019/bin/stdlib.aws’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/stdlib.aws’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/testMayaAudio”
    QElfParser: ‘/usr/autodesk/maya2019/bin/testMayaAudio’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/testMayaAudio’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/testMayaAudio.bin”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/testMayaAudio.bin'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/toFloatExe”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/toFloatExe'”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/toxpm”
    QElfParser: ‘/usr/autodesk/maya2019/bin/toxpm’ is not an ELF object
    “‘/usr/autodesk/maya2019/bin/toxpm’ is not an ELF object”
    not a plugin
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/bin/uic”
    “Failed to extract plugin meta data from ‘/usr/autodesk/maya2019/bin/uic'”
    not a plugin
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/lib/x86_64-linux-gnu/qt5/plugins/platformthemes” …
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/platformthemes” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platformthemes/libqgtk2.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platformthemes/libqgtk2.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformThemeFactoryInterface.5.1”,
    “MetaData”: {
    “Keys”: [
    “gtk2”
    ]
    },
    “className”: “QGtk2ThemePlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“gtk2”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/platformthemes” …
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPlatformInputContextFactoryInterface.5.1”,
    “MetaData”: {
    “Keys”: [
    “compose”,
    “xim”
    ]
    },
    “className”: “QComposePlatformInputContextPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“compose”, “xim”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libfcitxplatforminputcontextplugin.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libfcitxplatforminputcontextplugin.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPlatformInputContextFactoryInterface.5.1”,
    “MetaData”: {
    “Keys”: [
    “fcitx”
    ]
    },
    “className”: “QFcitxPlatformInputContextPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“fcitx”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so”
    Found metadata in lib /usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPlatformInputContextFactoryInterface.5.1”,
    “MetaData”: {
    “Keys”: [
    “ibus”
    ]
    },
    “className”: “QIbusPlatformInputContextPlugin”,
    “debug”: false,
    “version”: 329989
    }

    Got keys from plugin meta data (“ibus”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/platforminputcontexts” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPlatformInputContextFactoryInterface.5.1”,
    “MetaData”: {
    “Keys”: [
    “compose”,
    “xim”
    ]
    },
    “className”: “QComposePlatformInputContextPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“compose”, “xim”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPlatformInputContextFactoryInterface.5.1”,
    “MetaData”: {
    “Keys”: [
    “ibus”
    ]
    },
    “className”: “QIbusPlatformInputContextPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“ibus”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/platforminputcontexts” …
    loaded library “/usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libfcitxplatforminputcontextplugin.so”
    Cannot mix incompatible Qt library (version 0x50905) with this library (version 0x50c02)
    Aborted (core dumped)

  8. Maybe I should try link, but the installation of Pacman is not easy either.

  9. I did reply, but the reply is pending at the moment.

     

    Anyway, I think you should do a fresh Ubuntu installation and try again from the start.

  10. >_<!

    OK, thank you very much for your patient guidance~

  11. It may be caused by multiple versions of Qt, there’re some errors like Cannot mix incompatible Qt library (version 0x40801) with this library (version 0x40805),just solve them one by one.

    It is important to compare the output with the CORRECT one~

    The successful output:

    (base) hy@hy-MS-7A71:~$ export QT_DEBUG_PLUGINS=1
    (base) hy@hy-MS-7A71:~$ /usr/autodesk/maya2019/bin/maya.bin
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/platforms” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqconsole.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqconsole.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “console”
    ]
    },
    “className”: “QConsoleIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“console”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqlinuxfb.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqlinuxfb.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “linuxfb”
    ]
    },
    “className”: “QLinuxFbIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“linuxfb”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqminimal.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqminimal.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “minimal”
    ]
    },
    “className”: “QMinimalIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“minimal”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqoffscreen.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqoffscreen.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “offscreen”
    ]
    },
    “className”: “QOffscreenIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“offscreen”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforms/libqxcb.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforms/libqxcb.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3”,
    “MetaData”: {
    “Keys”: [
    “xcb”
    ]
    },
    “className”: “QXcbIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“xcb”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/platforms” …
    loaded library “/usr/autodesk/maya2019/plugins/platforms/libqxcb.so”
    loaded library “Xcursor”
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/xcbglintegrations” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/xcbglintegrations/libqxcb-glx-integration.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/xcbglintegrations/libqxcb-glx-integration.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.Xcb.QXcbGlIntegrationFactoryInterface.5.5”,
    “MetaData”: {
    “Keys”: [
    “xcb_glx”
    ]
    },
    “className”: “QXcbGlxIntegrationPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“xcb_glx”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/xcbglintegrations” …
    loaded library “/usr/autodesk/maya2019/plugins/xcbglintegrations/libqxcb-glx-integration.so”
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/platformthemes” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platformthemes/libqgtk2.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platformthemes/libqgtk2.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPA.QPlatformThemeFactoryInterface.5.1”,
    “MetaData”: {
    “Keys”: [
    “gtk2”
    ]
    },
    “className”: “QGtk2ThemePlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“gtk2”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/platformthemes” …
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/platforminputcontexts” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPlatformInputContextFactoryInterface.5.1”,
    “MetaData”: {
    “Keys”: [
    “compose”,
    “xim”
    ]
    },
    “className”: “QComposePlatformInputContextPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“compose”, “xim”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QPlatformInputContextFactoryInterface.5.1”,
    “MetaData”: {
    “Keys”: [
    “ibus”
    ]
    },
    “className”: “QIbusPlatformInputContextPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“ibus”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/platforminputcontexts” …
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/styles” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/styles/AdskStyle.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/styles/AdskStyle.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QStyleFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “plastique”,
    “adskdark”,
    “adskdarkflatui”
    ]
    },
    “className”: “QadskStylePlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“plastique”, “adskdark”, “adskdarkflatui”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/styles” …
    loaded library “/usr/autodesk/maya2019/plugins/styles/AdskStyle.so”
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/imageformats” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/imageformats/libqdds.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/imageformats/libqdds.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QImageIOHandlerFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “dds”
    ],
    “MimeTypes”: [
    “image/x-dds”
    ]
    },
    “className”: “QDDSPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“dds”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/imageformats/libqgif.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/imageformats/libqgif.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QImageIOHandlerFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “gif”
    ],
    “MimeTypes”: [
    “image/gif”
    ]
    },
    “className”: “QGifPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“gif”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/imageformats/libqicns.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/imageformats/libqicns.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QImageIOHandlerFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “icns”
    ],
    “MimeTypes”: [
    “image/x-icns”
    ]
    },
    “className”: “QICNSPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“icns”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/imageformats/libqico.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/imageformats/libqico.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QImageIOHandlerFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “ico”,
    “cur”
    ],
    “MimeTypes”: [
    “image/vnd.microsoft.icon”
    ]
    },
    “className”: “QICOPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“ico”, “cur”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/imageformats/libqjpeg.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/imageformats/libqjpeg.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QImageIOHandlerFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “jpg”,
    “jpeg”
    ],
    “MimeTypes”: [
    “image/jpeg”,
    “image/jpeg”
    ]
    },
    “className”: “QJpegPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“jpg”, “jpeg”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/imageformats/libqmng.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/imageformats/libqmng.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QImageIOHandlerFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “mng”
    ],
    “MimeTypes”: [
    “image/x-mng”
    ]
    },
    “className”: “QMngPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“mng”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/imageformats/libqsvg.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/imageformats/libqsvg.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QImageIOHandlerFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “svg”,
    “svgz”
    ],
    “MimeTypes”: [
    “image/svg+xml”
    ]
    },
    “className”: “QSvgPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“svg”, “svgz”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/imageformats/libqtga.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/imageformats/libqtga.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QImageIOHandlerFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “tga”
    ],
    “MimeTypes”: [
    “image/x-tga”
    ]
    },
    “className”: “QTgaPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“tga”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/imageformats/libqtiff.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/imageformats/libqtiff.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QImageIOHandlerFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “tiff”,
    “tif”
    ],
    “MimeTypes”: [
    “image/tiff”,
    “image/tiff”
    ]
    },
    “className”: “QTiffPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“tiff”, “tif”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/imageformats/libqwbmp.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/imageformats/libqwbmp.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QImageIOHandlerFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “wbmp”
    ],
    “MimeTypes”: [
    “image/vnd.wap.wbmp”
    ]
    },
    “className”: “QWbmpPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“wbmp”)
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/imageformats/libqwebp.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/imageformats/libqwebp.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QImageIOHandlerFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “webp”
    ],
    “MimeTypes”: [
    “image/webp”
    ]
    },
    “className”: “QWebpPlugin”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“webp”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/imageformats” …
    loaded library “/usr/autodesk/maya2019/plugins/imageformats/libqdds.so”
    loaded library “/usr/autodesk/maya2019/plugins/imageformats/libqgif.so”
    loaded library “/usr/autodesk/maya2019/plugins/imageformats/libqicns.so”
    loaded library “/usr/autodesk/maya2019/plugins/imageformats/libqico.so”
    loaded library “/usr/autodesk/maya2019/plugins/imageformats/libqjpeg.so”
    loaded library “/usr/autodesk/maya2019/plugins/imageformats/libqmng.so”
    QLibraryPrivate::loadPlugin failed on “/usr/autodesk/maya2019/plugins/imageformats/libqmng.so” : “Cannot load library /usr/autodesk/maya2019/plugins/imageformats/libqmng.so: (libmng.so.1: cannot open shared object file: No such file or directory)”
    loaded library “/usr/autodesk/maya2019/plugins/imageformats/libqsvg.so”
    loaded library “/usr/autodesk/maya2019/plugins/imageformats/libqtga.so”
    loaded library “/usr/autodesk/maya2019/plugins/imageformats/libqtiff.so”
    loaded library “/usr/autodesk/maya2019/plugins/imageformats/libqwbmp.so”
    loaded library “/usr/autodesk/maya2019/plugins/imageformats/libqwebp.so”
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/accessible” …
    QFactoryLoader::QFactoryLoader() looking at “/usr/autodesk/maya2019/plugins/accessible/MayaAccessibility.so”
    Found metadata in lib /usr/autodesk/maya2019/plugins/accessible/MayaAccessibility.so, metadata=
    {
    “IID”: “org.qt-project.Qt.QAccessibleFactoryInterface”,
    “MetaData”: {
    “Keys”: [
    “QmayaChannelBoxTableView”,
    “TnodeGraphEditorView”
    ]
    },
    “className”: “QmayaAccessibleFactory”,
    “debug”: false,
    “version”: 329217
    }

    Got keys from plugin meta data (“QmayaChannelBoxTableView”, “TnodeGraphEditorView”)
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/accessible” …
    Initialized VP2.0 renderer {
    Version : 2016.11.53.12. Feature Level 5.
    Adapter : GeForce GTX 1080 Ti/PCIe/SSE2
    Vendor ID: 4318. Device ID :
    Driver : 4.6.0 NVIDIA 418.39.
    API : OpenGL V.4.6.
    Max texture size : 16384 * 16384.
    Max tex coords : 32
    Shader versions supported (Vertex: 5, Geometry: 5, Pixel 5).
    Shader compiler profile : (Best card profile)
    Active stereo support available : 0
    GPU Memory Limit : 11264 MB.
    CPU Memory Limit: 15202.7 MB.
    MultiDraw consolidation: enabled
    }
    OpenCL evaluator is attempting to initialize OpenCL.
    Detected 1 OpenCL Platforms:
    0: NVIDIA Corporation. NVIDIA CUDA. OpenCL 1.2 CUDA 10.1.105.
    Supported extensions: cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_fp64 cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll cl_nv_copy_opts cl_nv_create_buffer
    OpenCL evaluator choosing OpenCL platform NVIDIA Corporation.
    Choosing OpenCL Device GeForce GTX 1080 Ti. Device Type: GPU Device is available.

    loaded library “/usr/autodesk/maya2019/plugins/accessible/MayaAccessibility.so”
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/plugins/accessiblebridge” …
    QFactoryLoader::QFactoryLoader() checking directory path “/usr/autodesk/maya2019/bin/accessiblebridge” …
    Unable to execute igInitialize.mel.Unable to execute xgen.mel.
    API error detected in plugins/mtoa/extension/ExtensionsManager.cpp at line 655
    : (kFailure): Unexpected Internal Failure

    API error detected in plugins/mtoa/extension/ExtensionsManager.cpp at line 655
    : (kFailure): Unexpected Internal Failure

    compare and correct the error.

    Best answer
  12. You’re right. This is what I actually wrote in my other comment. But, that comment is still pending.

     

  13. Solving this is very time-consuming. I suggest you try again with a fresh Ubuntu installation. That might do the trick.

    Thanks. 🙂

Leave an answer